var config = require("../../config/config.js");
const Http = require("../../utils/HttpBasics");
var app = getApp();
Page({
  data: {
    canIUse: wx.canIUse("button.open-type.getPhoneNumber"),
    couponChannelId: "",
    path:null,
    paramData:null,
    signActivity:""
  },
  onLoad: function (options) {
    this.setData({
      path: options.path
    })
    this.setData({
      paramData: options
    })
    var that = this;
    if (options.couponChannelId) {
      that.setData({
        couponChannelId: options.couponChannelId
      });
    }

    if (options.signActivity){
      that.setData({
        signActivity: options.signActivity
      });
    }

    Http.get({
      url: config.api.marketicon,
      data: {
        appId: config.weapp.AppId
      }
    }).then(res => {
      that.setData({
        mallImgUrl: res.data.mallImgUrl
      });
      wx.setNavigationBarTitle({
        title: res.data.mallName
      })
    })
    .catch(err => {
      wx.showToast({
        title: err.errMsg,
        icon: 'none',
        duration: 2000,
        mask: false
      });
    })
  },

  getPhoneNumber: function (e) {
    var that = this;
    var iv = e.detail.iv;
    var encryptedData = e.detail.encryptedData;
    Http.post({
      url: config.api.getUserPhone,
      data: {
        encryptedData: encryptedData,
        iv: iv
      }
    }).then(res=>{
      app.globalData.phone = res.data.phone;
      /**
       * 来自积分兑换
       */
      if (that.data.path == 'jifen') {
        wx.redirectTo({
          url: `/pages/integralmall/payIntegcoupondetail/index?couponChannelId=${that.data.paramData.couponChannelId}&couponId=${that.data.paramData.couponId}`
        })
        return;
      }
      /**
       * 来自拼团详情
       */
      if (that.data.path == 'spell') {
        if (that.data.paramData.avatarUrl) {
          wx.redirectTo({
            url: `/pages/joinFrDpell/index?couponId=${that.data.paramData.couponId}&orderGroupId=${that.data.paramData.orderGroupId}&couponChannelId=${that.data.paramData.couponChannelId}&orderId=${that.data.paramData.orderId}&avatarUrl=${that.data.paramData.avatarUrl}&nickName=${that.data.paramData.nickName}`
          })
        } else {
          wx.redirectTo({
            url: `/pages/spellGroup/mySpellGroup/index?couponId=${that.data.paramData.couponId}&couponChannelId=${that.data.paramData.couponChannelId}`
          })
        }
        return;
      }
      /**
       * fromId若存在来自卡转赠
       */
      if (that.data.path == 'index' && !that.data.paramData.cuserId) {
        wx.redirectTo({
          url: "/pages/game/index?url=" + that.data.paramData.url + "&id=" + that.data.paramData.id + "&gameId=" + that.data.paramData.gameId,
        })
      } else if (that.data.path == 'index' && that.data.paramData.cuserId) {
        wx.reLaunch({
          url: "/pages/coupon/detail/index?cuserId=" + that.data.paramData.cuserId + '&couponChannelId=' + that.data.paramData.couponChannelId + '&coverImg=' + that.data.paramData.coverImg + '&avatarUrl=' + that.data.paramData.avatarUrl + '&userName=' + that.data.paramData.userName + '&couponOrderId=' + that.data.paramData.couponOrderId + "&updateDate=" + that.data.paramData.updateDate
        })
      }
      /**
       * 活动报名
       */
      else if (that.data.signActivity) {
        wx.redirectTo({
          url: `/pages/radetail/joinActivity/edit?activityId=${that.data.signActivity}`
        })
      } else {
        wx.showToast({
          title: res.data.msg,
          icon: "success",
          success: function (res) {
            if (that.data.couponChannelId) {
              wx.redirectTo({
                url: "/pages/coupon/detail/index?couponChannelId=" + that.data.couponChannelId + "&flag=pay"
              })
            } else {
              wx.switchTab({
                url: '/pages/passCar/passCar',
              })
            }
          }
        });
      }
    })
    .catch(err => {
      wx.showToast({
        title: err.message,
        icon: 'none',
        duration: 2000,
        mask: false
      });
    })
  }
});